#ifndef METABAR_H
#define METABAR_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <konqsidebarplugin.h>
#include <tqstring.h>
#include <tdeconfig.h>


class Metabar : public KonqSidebarPlugin
{
    Q_OBJECT
  
    
  public:
    Metabar(TDEInstance *inst,TQObject *parent,TQWidget *widgetParent, TQString &desktopName, const char* name=0);
    ~Metabar();
      
    virtual TQWidget *getWidget(){ return widget; }
    virtual void *provides(const TQString &) { return 0; }

  protected:
    MetabarWidget *widget;
    
    void handleURL(const KURL &url);
    void handlePreview(const KFileItemList &items);

};

#endif
